aboutsummaryrefslogtreecommitdiffstats
path: root/extras/scripts/host-stack/vcl-ldpreload/test/emacs_gdb_vpp.sh
diff options
context:
space:
mode:
authorFlorin Coras <fcoras@cisco.com>2025-03-03 16:19:01 -0500
committerDave Barach <vpp@barachs.net>2025-03-04 21:39:00 +0000
commitbf0146b21192cc8e97c7f3b5a427b8013b77c721 (patch)
tree1ca619ab6c0002c6e2d4d1e54554084898a41ef9 /extras/scripts/host-stack/vcl-ldpreload/test/emacs_gdb_vpp.sh
parent75b66b374067ddfc4d9ed316d66250c4e60db985 (diff)
misc: add and consolidate host stack scripts
Move all existing host stack scripts under extras/scripts/host-stack Also add scripts for iperf/vcl performance testing Type: improvement Change-Id: Ia79b6bd061db49f61a0e4c6577cf45afe0323eb1 Signed-off-by: Florin Coras <fcoras@cisco.com>
Diffstat (limited to 'extras/scripts/host-stack/vcl-ldpreload/test/emacs_gdb_vpp.sh')
-rwxr-xr-xextras/scripts/host-stack/vcl-ldpreload/test/emacs_gdb_vpp.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/extras/scripts/host-stack/vcl-ldpreload/test/emacs_gdb_vpp.sh b/extras/scripts/host-stack/vcl-ldpreload/test/emacs_gdb_vpp.sh
new file mode 100755
index 00000000000..460e4077e53
--- /dev/null
+++ b/extras/scripts/host-stack/vcl-ldpreload/test/emacs_gdb_vpp.sh
@@ -0,0 +1,23 @@
+#! /bin/bash
+
+if [ -z "$WS_ROOT" ] ; then
+ echo "ERROR: WS_ROOT environment variable is not set!"
+ exit 1
+fi
+
+source $WS_ROOT/extras/vcl-ldpreload/env.sh
+tmp_gdb_cmdfile="/tmp/gdb_cmdfile_vpp.$$"
+
+trap "rm -f $tmp_gdb_cmdfile" SIGINT SIGTERM EXIT
+
+cat <<EOF > $tmp_gdb_cmdfile
+set confirm off
+source $WS_ROOT/extras/gdb/gdb_cmdfile.vpp
+start
+EOF
+
+gdb_in_emacs() {
+ sudo -E emacs --eval "(gdb \"gdb -x $tmp_gdb_cmdfile -i=mi --args $*\")" --eval "(setq frame-title-format \"VPP-DEBUG\")"
+}
+sudo rm -f /dev/shm/*
+gdb_in_emacs $WS_ROOT/build-root/install-vpp_debug-native/vpp/bin/vpp unix { interactive exec $LDP_TEST_DIR/common/vpp_docker.conf } api-segment { gid $(id -g) }